<?php

namespace Modules\Page\Interfaces;

use Illuminate\Http\Request;
use Modules\Page\Models\Page;

interface PageRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Page $page);
    public function save(Request $request, ?Page $page): Page;
}
